Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::count_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename V , typename P = identity>
auto | operator() (I begin, S end, V const &val, P proj=P{}) const -> iter_difference_t< I > requires input_iterator< I > &&sentinel_for< S, I > &&indirect_relation< equal_to, projected< I, P >, V const * >
template<typename Rng , typename V , typename P = identity>
auto | operator() (Rng &&rng, V const &val, P proj=P{}) const -> iter_difference_t< iterator_t< Rng >> requires input_range< Rng > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, V const * >